#ifndef THEQUBE_H
#define THEQUBE_H

#include <stdint.h>

extern const uint8_t ROW0;
extern const uint8_t ROW1;
extern const uint8_t ROW2;
extern const uint32_t ROW_FILTER;

typedef uint32_t Frame;

typedef struct{
  Frame     *frames_data;
  uint8_t   total_frames;
  uint8_t   current_frame;
  uint32_t  refresh_rate;
  uint32_t  refresh_count;
  void      (*onOutput)(uint8_t row_out,uint16_t col_out);
  void      (*onEndFrame)();
} Animation;

void UpdateAnimation(Animation *animation);

#endif